Bug 99742 - [update port] games/phpua-q3 - UnBROKEN
Summary: [update port] games/phpua-q3 - UnBROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-03 11:40 UTC by babak
Modified: 2007-01-31 14:10 UTC (History)
0 users

See Also:


Attachments
phpua-q3.patch (676 bytes, patch)
2006-07-03 11:40 UTC, babak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description babak 2006-07-03 11:40:21 UTC

- www/data/phpua -> www/phpua
- UnBROKEN
- Take maintainership
Comment 1 Martin Wilke freebsd_committer 2006-07-03 11:52:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 babak 2006-07-20 12:22:20 UTC
New patch:

--- phpua-q3.patch begins here ---
diff -ruN phpua-q3.orig/Makefile phpua-q3/Makefile
--- phpua-q3.orig/Makefile	Thu Jul 20 09:53:20 2006
+++ phpua-q3/Makefile	Thu Jul 20 13:21:20 2006
@@ -7,21 +7,19 @@
 
 PORTNAME=	phpua-plugin_q3
 PORTVERSION=	1.1.0b
+PORTREVISION=	1
 CATEGORIES=	games www
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	phpua
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	babak@farrokhi.net
 COMMENT=	A Quake 3 plugin for phpUA
 
-RUN_DEPENDS=
${LOCALBASE}/${PHPUA}/index.php:${PORTSDIR}/games/phpua-engine
-
-BROKEN=		does not install due to dependency problem in
games/phpua-engine
-DEPRECATED=	${BROKEN}
-EXPIRATION_DATE=2006-09-03
+BUILD_DEPENDS=
${LOCALBASE}/${PHPUA}/index.php:${PORTSDIR}/games/phpua-engine
+RUN_DEPENDS=	${BUILD_DEPENDS}
 
 # Some variables you can change
-PHPUA?=		www/data/phpua
+PHPUA?=		www/phpua
 PHPUA_USER?=	${WWWOWN}
 PHPUA_GROUP?=	${WWWGRP}
 
@@ -44,11 +42,13 @@
 	${ECHO_MSG}
'-------------------------------------------------------------------------')
 .endif
 
+do-extract:
+	@ ${MKDIR} ${WRKSRC}
+	@ cd ${WRKSRC} && ${EXTRACT_CMD}  ${EXTRACT_BEFORE_ARGS}
${_DISTDIR}/${DISTNAME}${EXTRACT_SUFX} ${EXTRACT_AFTER_ARGS}
+
 do-install:
-	@ ${CP} -R ${WRKDIR}/plugins ${PREFIX}/${PHPUA}/
-	@ ${CP} -R ${WRKDIR}/templates ${PREFIX}/${PHPUA}/
-	@ ${CP} -R ${WRKDIR}/images ${PREFIX}/${PHPUA}/
-	@ ${CHOWN} -R ${PHPUA_USER}:${PHPUA_GROUP} ${PREFIX}/${PHPUA}
+	@ ${CHOWN} -R ${PHPUA_USER}:${PHPUA_GROUP} ${WRKSRC}
+	@ ${CP} -R ${WRKSRC}/ ${PREFIX}/${PHPUA}/
 	@ ${ECHO_MSG} ""
 	@ ${ECHO_MSG} "* Files have been installed in"
 	@ ${ECHO_MSG} "* ${PREFIX}/${PHPUA}"
diff -ruN phpua-q3.orig/pkg-plist phpua-q3/pkg-plist
--- phpua-q3.orig/pkg-plist	Thu Jul 20 09:53:20 2006
+++ phpua-q3/pkg-plist	Thu Jul 20 14:13:31 2006
@@ -65,13 +65,20 @@
 %%PHPUA%%/templates/default/plugin_q3/x.js
 %%PHPUA%%/templates/javascript/plugin_q3/info.tpl
 %%PHPUA%%/templates/wap/plugin_q3/info.tpl
-@exec chown -R %%PHPUA_USER%%:%%PHPUA_GROUP%% %D/%%PHPUA%%
 @dirrm %%PHPUA%%/templates/wap/plugin_q3
+@dirrmtry %%PHPUA%%/templates/wap
 @dirrm %%PHPUA%%/templates/javascript/plugin_q3
+@dirrm %%PHPUA%%/templates/javascript
 @dirrm %%PHPUA%%/templates/default/plugin_q3
+@dirrm %%PHPUA%%/templates/default
+@dirrmtry %%PHPUA%%/templates
 @dirrm %%PHPUA%%/plugins/plugin_q3
+@dirrmtry %%PHPUA%%/plugins
 @dirrm %%PHPUA%%/images/templates/wap/plugin_q3
+@dirrmtry %%PHPUA%%/images/templates/wap
 @dirrm %%PHPUA%%/images/templates/default/plugin_q3
+@dirrmtry %%PHPUA%%/images/templates/default
+@dirrmtry %%PHPUA%%/images/templates
 @dirrm %%PHPUA%%/images/plugin_q3/maps
 @dirrm %%PHPUA%%/images/plugin_q3
-@dirrmtry %%PHPUA%%/images/templates/wap/
+@dirrmtry %%PHPUA%%/images
diff -ruN phpua-q3.orig/pkg-plist.old phpua-q3/pkg-plist.old
--- phpua-q3.orig/pkg-plist.old	Thu Jan  1 03:30:00 1970
+++ phpua-q3/pkg-plist.old	Thu Jul 20 14:13:17 2006
@@ -0,0 +1,95 @@
+%%PHPUA%%/images/plugin_q3/maps/pro-q3dm13.jpg
+%%PHPUA%%/images/plugin_q3/maps/pro-q3dm6.jpg
+%%PHPUA%%/images/plugin_q3/maps/pro-q3tourney2.jpg
+%%PHPUA%%/images/plugin_q3/maps/pro-q3tourney4.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3ctf1.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3ctf2.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3ctf3.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3ctf4.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm0.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm1.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm10.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm11.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm12.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm13.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm14.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm15.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm16.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm17.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm18.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm19.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm2.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm3.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm4.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm5.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm6.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm7.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm8.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3dm9.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3tourney1.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3tourney2.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3tourney3.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3tourney4.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3tourney5.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3tourney6.jpg
+%%PHPUA%%/images/plugin_q3/maps/q3tourney6_ctf.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map1.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map10.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map11.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map12.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map13.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map14.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map15.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map16.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map17.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map18.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map19.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map2.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map3.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map4.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map5.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map6.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map7.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map8.jpg
+%%PHPUA%%/images/plugin_q3/maps/ra3map9.jpg
+%%PHPUA%%/images/templates/default/plugin_q3/unavailable.jpg
+%%PHPUA%%/images/templates/wap/plugin_q3/unavailable.jpg
+%%PHPUA%%/plugins/plugin_q3/plugin_q3.inc
+%%PHPUA%%/plugins/plugin_q3/plugin_q3_mode_info.inc
+%%PHPUA%%/plugins/plugin_q3/plugin_q3_mode_rules.inc
+%%PHPUA%%/plugins/plugin_q3/plugin_q3_mode_watch.inc
+%%PHPUA%%/templates/default/plugin_q3/info.tpl
+%%PHPUA%%/templates/default/plugin_q3/rules.tpl
+%%PHPUA%%/templates/default/plugin_q3/watch.js
+%%PHPUA%%/templates/default/plugin_q3/watch.tpl
+%%PHPUA%%/templates/default/plugin_q3/x.js
+%%PHPUA%%/templates/javascript/plugin_q3/info.tpl
+%%PHPUA%%/templates/rss/body_footer.tpl
+%%PHPUA%%/templates/rss/body_header.tpl
+%%PHPUA%%/templates/rss/error.tpl
+%%PHPUA%%/templates/rss/html_footer.tpl
+%%PHPUA%%/templates/rss/html_header.tpl
+%%PHPUA%%/templates/rss/index_footer.tpl
+%%PHPUA%%/templates/rss/index_header.tpl
+%%PHPUA%%/templates/rss/index_noservers.tpl
+%%PHPUA%%/templates/rss/index_offline.tpl
+%%PHPUA%%/templates/rss/index_online.tpl
+%%PHPUA%%/templates/wap/plugin_q3/info.tpl
+@dirrm %%PHPUA%%/templates/wap/plugin_q3
+@dirrmtry %%PHPUA%%/templates/wap
+@dirrmtry %%PHPUA%%/templates/rss
+@dirrm %%PHPUA%%/templates/javascript/plugin_q3
+@dirrm %%PHPUA%%/templates/javascript
+@dirrm %%PHPUA%%/templates/default/plugin_q3
+@dirrm %%PHPUA%%/templates/default
+@dirrmtry %%PHPUA%%/templates
+@dirrm %%PHPUA%%/plugins/plugin_q3
+@dirrmtry %%PHPUA%%/plugins
+@dirrm %%PHPUA%%/images/templates/wap/plugin_q3
+@dirrmtry %%PHPUA%%/images/templates/wap
+@dirrm %%PHPUA%%/images/templates/default/plugin_q3
+@dirrmtry %%PHPUA%%/images/templates/default
+@dirrmtry %%PHPUA%%/images/templates
+@dirrm %%PHPUA%%/images/plugin_q3/maps
+@dirrm %%PHPUA%%/images/plugin_q3
+@dirrmtry %%PHPUA%%/images
--- phpua-q3.patch ends here ---
Comment 3 Martin Wilke freebsd_committer 2006-07-22 11:24:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2007-01-31 14:07:32 UTC
pav         2007-01-31 14:07:24 UTC

  FreeBSD ports repository

  Modified files:
    .                    CHANGES Makefile 
    Mk                   bsd.java.mk bsd.port.mk bsd.tcl.mk 
  Log:
  bsd.port.mk
   [1] Remove DEPENDS
   [2] Add a new pkg-plist keyword @stopdaemon
   [3] Provide rc.subr script suffix as RC_SUBR_SUFFIX
   [4] Add USE_CDRTOOLS to abstract dependency on sysutils/cdrtool[-cjk]
   [5] Add DOS2UNIX_REGEX, allowing to pass a filename regex to CRLF replacement
       routine
   [6] Support partially translated manpages in MAN* variables
   [7] Fix USE_LDCONFIG on ports with @cwd in pkg-plist
   [8] Remove support for XFree86 3.X
   [9] Add user settable WITH_DEBUG flag that turns on -g in CFLAGS and resets
       STRIP
   [9] Fix `make install' to refuse overwriting of older version of the port
  [10] New category ports-mgmt
  [11] New category gnustep
  [12] Removed category picobsd
  
  bsd.java.mk
  [13] Remove deprecated syntax
  
  bsd.tcl.mk
  [14] Provide TCL_VER when USE_TK[_BUILD] is defined. Fixes cad/netgen
  
  ports/Makefile
  [15] Make csup default `make update' method on FreeBSD 6.2 and up
  
  PR:             ports/99742 [1], ports/93373 [2], ports/100915 [3],
                  ports/105161 [4], ports/106029 [5], ports/106252 [6],
                  ports/106235 [7], ports/100939 [9], ports/97507 [10],
                  ports/103931 [11], ports/106921 [12], ports/104136 [13],
                  ports/105215 [15]
  Submitted by:   sem [1] [2], Matthias Andree <matthias.andree@gmx.de> [3],
                  nork [4], pav [5] [7] [14], Nick Barkas <snb@threerings.net> [6],
                  flz [8], gabor [9], shaun [10], erwin [12], hq [13],
                  Gurkan Sengun <gurkan@linuks.mine.nu> [11]
  
  Revision  Changes    Path
  1.65      +40 -2     ports/CHANGES
  1.97      +4 -0      ports/Makefile
  1.75      +9 -59     ports/Mk/bsd.java.mk
  1.547     +108 -120  ports/Mk/bsd.port.mk
  1.6       +2 -1      ports/Mk/bsd.tcl.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"